import { mount } from '@vue/test-utils'
import ReportTable from '@vue2-client/pages/report/ReportTable'
import { reportData } from '@vue2-client/mock/common/reportData'
import { describe, expect, it } from '@jest/globals'

// 报表组件测试域
describe('ReportTable', () => {
  it('render', () => {
    const wrapper = mount(ReportTable, {
      propsData: {
        tableData: reportData
      }
    })
    expect(wrapper.find('#ReportTableHome')).not.toBeNull()
  })
})
